package com.nisum.employeeservice.services;

import com.nisum.employeeservice.model.Employee;
import com.nisum.employeeservice.repository.EmployeeRepository;
import org.junit.Assert;
import org.junit.Before;
import org.junit.After;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

@RunWith(SpringRunner.class)
class EmployeeServiceTest {

    @Autowired
    EmployeeRepository employeeRepository;
    @Autowired
    EmployeeService employeeService;

    @Mock EmployeeRepository mockedEmployeeRepository;
    @InjectMocks EmployeeService mockedEmployeeService;



    @Before
    void setUp() {
    }

    @After
    void tearDown() {
    }

    @Test
    void findAllEmployees() {
    }

    @Test
    void addEmployee() {
        Employee employee = new Employee();
        employee.setFirstName("Tom");
        employee.setLastName("Smith");
        employeeService.addEmployee(employee);
        List<Employee> employeeList = employeeService.findAllEmployees();
        Assert.assertEquals(1, employeeList.size());
    }
}